* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: rgb(213, 213, 213);
    font-size: 16px;
}
button {
    display: block;
    background-color: transparent;
    border: none;
    padding: 8px;
    border-radius: 8px;
}
button:hover {
    background-color: black;
}
a {
    text-decoration: none;
    font-size: 14px;
}
a:hover {
    text-decoration: underline;
}

.con-wrap-row-gap-3 {
    display: flex;
    gap: 12px;
}


#container {
    display: flex;
    height: 100vh;
    background-color: rgb(48, 45, 42);
}

#sidebar {
    width: 288px;
    height: 100%;
    background-color: rgb(39, 38, 37);
    padding: 8px;
    /* margin-top: 24px; */
    display: flex;
    flex-direction: column;
    gap: 24px;
}
#sidebar h1 {
    font-size: 24px;
    padding: 8px;
}
#sidebar button {
    width: 100%;
    margin-top: 4px;
    text-align: left;
}



#sidebar-middle-group {
    flex-grow:1;
}
#sidebar-middle-group p {
    margin-bottom: 12px;
}
#sidebar-middle-group button {
    padding-top: 4px 8px;
    margin-top: 0px;
}

#sidebar-lower-group button:last-child p:last-child {
    font-size: 12px;
}

#section-right {
    width: 100%;
    position: relative;
}

#header {
    padding: 12px 24px;
    display: flex;
    justify-content: space-between;
}


#main {
    max-width: 672px;
    width: 100%;
    /* background-color: aqua; */
    margin: 0 auto;
    /* display: flex;
    flex-direction: column;
    align-items: center; */
}

#chat-input-box {
    border: 1px solid gray;
    border-radius: 16px;
    background-color: rgb(63, 60, 57);
    height: 120px;
    padding: 12px;
    display: flex;
    flex-direction: column;
    max-width: 672px;
    width: 100%;

    position: absolute;
    bottom: 8px;
}
#chat-input-box textarea {
    width: 100%;
    background-color: transparent;
    border: none;
    color: white;
    resize: none;
    font-size: 16px;
    /* padding-top: 12px; */
    flex-grow: 1;
}
#chat-input-box textarea:focus {
    outline: none;
}
div#chat-input-box-lower {
    display: flex;
    justify-content: space-between;
}
button#btn-submit {
    background-color: coral;
}

#section-chat-logs {
    /* flex-grow: 1; */
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 0 12px;
}
.question {
    background-color: black;
    border-radius: 12px;
    padding: 12px;
    line-height: 1.5rem;
}
.answer {
    line-height: 1.5rem;
}

#banner {
    display: flex;
    justify-content: space-between;
}
#banner-right {
    display: flex;
    flex-direction: column;
    align-items: end;
}
#banner-icon-group {
    display: flex;
    gap: 8px;
}

@media screen and (max-width: 900px) {
    #sidebar {
        display: none;
    }
}